POST
/
v2
/
views
/
{view_id}
/
blocked-phones
Add a phone number to a saved view exclusion list
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "<string>"
}
'
{
  "status": "accepted",
  "event_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7002"
  ],
  "request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

view_id
string<uuid>
required

Body

application/json
phone_number
string
required

Response

Phone number exclusion update event accepted.

status
enum<string>
required
Available options:
accepted,
duplicate_accepted,
rejected,
conflict,
noop
event_ids
string<uuid>[]
required
request_id
string
required
resource_id
string | null